[Forgot Password]
Login  Register Subscribe

23631

 
 

117918

 
 

98218

 
 

909

 
 

79224

 
 

109

Paid content will be excluded from the download.


Download | Alert*
OVAL

Heap-based buffer overflow in closefs.c in the libext2fs library in e2fsprogs

ID: oval:org.secpod.oval:def:24036Date: (C)2015-04-07   (M)2017-11-08
Class: VULNERABILITYFamily: unix




The host is installed with e2fsprogs before 1.42.9-7 on Redhat Enterprise Linux 7 and before 1.42.12-21 on Redhat Enterprise Linux 6 and is prone to a heap-based buffer overflow vulnerability. A flaw is present in the application, which causes a crafted block group descriptor to be marked as dirty. Successful exploitation allows local users to execute arbitrary code.

Platform:
Red Hat Enterprise Linux 6
Red Hat Enterprise Linux 7
Product:
e2fsprogs
Reference:
CVE-2015-1572
CVE    1
CVE-2015-1572
CPE    7
cpe:/o:canonical:ubuntu_linux:14.10
cpe:/o:canonical:ubuntu_linux:10.04::~~lts~~~
cpe:/a:e2fsprogs:e2fsprogs
cpe:/o:canonical:ubuntu_linux:12.04::~~lts~~~
...

© 2013 SecPod Technologies